/*
 * gui.h
 */

/*
** Copyright (C) 1999 Dirk-Jan C. Binnema <djcb@dds.nl>
**  
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**  
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**  
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
**  
*/

#ifndef _GUI_H_
#define _GUI_H_

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif /* HAVE_CONFIG_H */

#include <gnome.h>

GtkWidget *new_gui();
GtkWidget *new_toolbar(void);
GtkWidget *new_entry ();
GtkWidget *new_pixmap(GdkWindow *window, gchar** xpm_data);

int print_in_statusbar (gchar *buf);
int update_entry (gint page_nr, gint subpage_nr);
gint update_pixmap (gchar *picfile, gboolean redraw);
gint get_the_page(gboolean redraw);


/* event handler callbacks */
void cb_quit (GtkWidget* widget, gpointer data);
void cb_about (GtkWidget* widget, gpointer data);
void cb_next_page (GtkWidget* widget, gpointer data);
void cb_prev_page (GtkWidget* widget, gpointer data);
void cb_goto_page (GtkWidget* widget, gpointer data);
void cb_zoom (GtkWidget *widget, gpointer data);
void cb_drag (GtkWidget *widget, GdkDragContext *context, GtkSelectionData *selection_data,
	      guint info, guint32 time);


/* some widgets we need a runtime ref to */
typedef struct _Gui {
	GtkWidget *app;
	
	GtkWidget *statusbar;
	GtkWidget *entry;
	GtkWidget *pixmap;
	GtkWidget *eventbox; 

	GtkWidget *zoombutton;
	GtkWidget *zoomlabel;
	gint zoom_factor;
} Gui;

/* DnD target types */
enum {
	TARGET_GIF=0,
	TARGET_TXT,
	TARGET_FILE,
	TARGET_ROOTWIN
};


#endif /* _GUI_H_ */









